export interface User {
  id: number;
  first_name: string;
  last_name: string;
  username: string;
  email: string;
  google_id: string;
  google_profile_pic: string;
  api_key: string;
  created: Date;
  updated: Date;
}

export interface Stock {
  user_id: number;
  ticker: string;
  created: Date;
  updated: Date;
}

export interface AlpacaConfig {
  id?: number;
  user_id?: number;
  alpaca_api_key_id: string;
  alpaca_secret_key: string;
  is_live_account: boolean;
}
